Bug 191225 - Segfault when loading X on rs6000
Segfault when loading X on rs6000
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-fbdev (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 17:03 EDT by Paul Nasrat
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-26 15:10:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Config file (3.07 KB, text/plain)
2006-05-09 17:03 EDT, Paul Nasrat
no flags Details
gdb output (4.86 KB, text/plain)
2006-05-09 17:04 EDT, Paul Nasrat
no flags Details
X log (15.76 KB, text/plain)
2006-05-09 17:05 EDT, Paul Nasrat
no flags Details

  None (edit)
Description Paul Nasrat 2006-05-09 17:03:25 EDT
Description of problem:

X fails to start on rs6000.

Version-Release number of selected component (if applicable):

xorg-x11-drv-fbdev-0.2.0-1

How reproducible:

Always

Steps to Reproduce:
1. Xorg -config /root/XConfig.test

  
Actual results:

SEGFAULT

Expected results:

Graphical interface.

Additional info:

attaching log, gdb output and config. Note config is as ajax edited (disabling
shadowfb)
Comment 1 Paul Nasrat 2006-05-09 17:03:25 EDT
Created attachment 128815 [details]
Config file
Comment 2 Paul Nasrat 2006-05-09 17:04:39 EDT
Created attachment 128818 [details]
gdb output

Some basic gdb work.
Comment 3 Paul Nasrat 2006-05-09 17:05:11 EDT
Created attachment 128819 [details]
X log
Comment 4 Mike A. Harris 2006-05-23 10:17:29 EDT
Please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 5 Mike A. Harris 2006-06-14 13:29:44 EDT
Our bugzilla database had a catastrophic failure on June 13, 2006
which lost all bug changes from Thurs June 9th through 13th.  I have
bugzilla email records of the time period however, and will be
restoring as many changes as I can manually.

Comment 6 Mike A. Harris 2006-06-14 13:32:17 EDT
It is still recommended to report upstream, which automagically
makes it visible to the plethora of PPC Xorg hackers upstream such as
benh, and thus increases the likelyhood of it getting fixed if it
is still outstanding.

Reassigning to the component owner (ajax) for now, as the only way
we're likely to diagnose/fix the problem internally is if someone
with physical access to the hardware in Westford is able to
investigate directly.






Comment 8 Adam Jackson 2007-05-26 15:10:11 EDT
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.